# Financial Statement Parser

Financial Statement Parser is a Python package for processing financial statement data. It parses structured financial data, performs calculations, and generates rolled-up financial reports.

## Features
- Parse financial statement data from text files
- Calculate rolled-up totals for financial categories
- Generate formatted financial reports
- Command-line interface for easy processing

## Installation
You can install Financial Statements Parser using pip:
```bash
pip install financial-statements-parser
```
Or if you're using Poetry:
```bash
poetry add financial-statements-parser
```

## Usage
As a Python package:
```python
from financial_statement_parser import process_file
process_file('input_financial_data.txt', 'output_report.txt')
```
Command-line interface:
```bash 
fs-parser input_financial_data.txt -o output_report.txt
```

## Development
To set up the development environment:
1. Clone the repository:
```bash
git clone https://github.com/zaxier/financial-statement-parser.git
cd financial-parser
```
2. Install dependencies:
```bash
poetry install
```

3. Run tests:
```bash
poetry run pytest
```

# References 
- Claude - https://claude.ai/chat/40054fdd-4c36-41c5-b899-697f8d64cc0b
